﻿using System;

namespace DiskUsage.CoreLib.MessageBus
{
    /// <summary>
    /// Generic message bus
    /// http://perrybirch.blogspot.com/2007/06/generic-message-bus.html
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public class MessageBusEventArgs<T> : EventArgs
    {
        private T _message;

        public MessageBusEventArgs(T Message)
        {
            _message = Message;
        }

        public T Message
        {
            get
            {
                return _message;
            }
        }
    }
}
