﻿using System.IO;

namespace DiskUsage.CoreLib
{
    public static class PathUtils
    {
        public static PathType GetPathType(string path)
        {
            var pathType = PathType.Invalid;
            if (Directory.Exists(path))
                pathType = PathType.Directory;
            else if (File.Exists(path))
                pathType = PathType.File;
            return pathType;
        }
    }
}
